---
title: Event.isTrusted
slug: Web/API/Event/isTrusted
tags:
  - API
  - Event
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>isTrusted</code></strong> read-only property of the {{domxref("Event")}} interface is a {{domxref("Boolean")}} that is <code>true</code> when the event was generated by a user action, and <code>false</code> when the event was created or modified by a script or dispatched via {{domxref("EventTarget.dispatchEvent()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>eventIsTrusted</em> = <em>event</em>.isTrusted;
</pre>

<h3 id="Value">Value</h3>

<p>{{domxref("Boolean")}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">if (e.isTrusted) {
  /* The event is trusted */
} else {
  /* The event is not trusted */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-event-istrusted', 'Event.isTrusted')}}</td>
   <td>{{ Spec2('DOM WHATWG') }}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#trusted-events', 'Trusted events')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Adds requirements regarding trusted and untrusted events, though it does not itself define the <code>isTrusted</code> property.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Event.isTrusted")}}</p>
</div>
